gstreamermm: Gst::MessageApplication Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageApplication Class Reference

An application message. More...

Inheritance diagram for Gst::MessageApplication:
[legend]
Collaboration diagram for Gst::MessageApplication:
[legend]

List of all members.

## Public Member Functions
| MessageApplication (GstMessage* message)
## Static Public Member Functions
static Glib::RefPtr < Gst::MessageApplication > | create (const Glib::RefPtr< Gst::Object >& src, Gst::Structure& structure)
| Create a new application-typed message.
static Glib::RefPtr < Gst::MessageApplication > | create (const Glib::RefPtr< Gst::Object >& src)
| Create a new application-typed message (no Gst::Structure is needed).

## Detailed Description

An application message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageApplication::MessageApplication | ( | GstMessage * | message | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::MessageApplication> Gst::MessageApplication::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::Structure& | structure
| ) |  | `[static]`

Create a new application-typed message.

GStreamer will never create these messages; they are a gift from us to you. Enjoy.

Parameters:

  src | The object originating the message.
  structure | The structure for the message. The structure will be copied.

Returns:
  The new application message. MT safe.

static Glib::RefPtr<Gst::MessageApplication> Gst::MessageApplication::create | ( | const Glib::RefPtr< Gst::Object >& | src | ) | `[static]`

Create a new application-typed message (no Gst::Structure is needed).

GStreamer will never create these messages; they are a gift from us to you. Enjoy.

Parameters:

  src | The object originating the message.

Returns:
  The new application message. MT safe.

The documentation for this class was generated from the following file:

- gstreamermm/message.h